
Foreman - Bug #4282

Unable to associate hosts on RHEV

02/06/2014 01:44 PM - Lukas Zapletal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Configured "nott04" TLV RHEV instance CR, clicked on Instances and Associate host. After some time, got this error:

undefined method `[]' for nil:NilClass

Rails.root: /home/lzap/work/foreman

Application Trace | Framework Trace | Full Trace

app/models/compute_resources/foreman/model/ovirt.rb:192:in `associated_host'

app/controllers/compute_resources_controller.rb:43:in `block in associate'

app/controllers/compute_resources_controller.rb:41:in `associate'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

 Full trace:

rbovirt (0.0.21) lib/ovirt/interface.rb:39:in `parse_xml_attributes!'

rbovirt (0.0.21) lib/ovirt/interface.rb:13:in `initialize'

rbovirt (0.0.21) lib/client/vm_api.rb:41:in `new'

rbovirt (0.0.21) lib/client/vm_api.rb:41:in `block in vm_interfaces'

nokogiri (1.6.1) lib/nokogiri/xml/node_set.rb:237:in `block in each'

nokogiri (1.6.1) lib/nokogiri/xml/node_set.rb:236:in `upto'

nokogiri (1.6.1) lib/nokogiri/xml/node_set.rb:236:in `each'

rbovirt (0.0.21) lib/client/vm_api.rb:40:in `collect'

rbovirt (0.0.21) lib/client/vm_api.rb:40:in `vm_interfaces'

fog (1.19.0) lib/fog/ovirt/requests/compute/list_vm_interfaces.rb:6:in `list_vm_interfaces'

fog (1.19.0) lib/fog/ovirt/models/compute/interfaces.rb:17:in `all'

fog (1.19.0) lib/fog/core/collection.rb:141:in `lazy_load'

fog (1.19.0) lib/fog/core/collection.rb:22:in `empty?'

fog (1.19.0) lib/fog/ovirt/models/compute/server.rb:45:in `mac'

app/models/compute_resources/foreman/model/ovirt.rb:192:in `associated_host'

app/controllers/compute_resources_controller.rb:43:in `block in associate'

fog (1.19.0) lib/fog/core/collection.rb:24:in `each'

fog (1.19.0) lib/fog/core/collection.rb:24:in `each'

app/controllers/compute_resources_controller.rb:41:in `associate'

actionpack (3.2.16) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

actionpack (3.2.16) lib/abstract_controller/base.rb:167:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/rendering.rb:10:in `process_action'

actionpack (3.2.16) lib/abstract_controller/callbacks.rb:18:in `block in process_action'

activesupport (3.2.16) lib/active_support/callbacks.rb:538:in `block (3 levels) in _run__391245982

3542471392__process_action__1153861267127841747__callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_4253'

activesupport (3.2.16) lib/active_support/callbacks.rb:326:in `around'

activesupport (3.2.16) lib/active_support/callbacks.rb:310:in `_callback_around_1251'

activesupport (3.2.16) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_4253'

activesupport (3.2.16) lib/active_support/callbacks.rb:526:in `block (2 levels) in _run__391245982

3542471392__process_action__1153861267127841747__callbacks'
activesupport (3.2.16) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_4252'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

activesupport (3.2.16) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_4252'

activesupport (3.2.16) lib/active_support/callbacks.rb:415:in `block in _run__3912459823542471392_

_process_action__1153861267127841747__callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_4251'

activesupport (3.2.16) lib/active_support/callbacks.rb:326:in `around'

activesupport (3.2.16) lib/active_support/callbacks.rb:310:in `_callback_around_13'

activesupport (3.2.16) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_4251'

activesupport (3.2.16) lib/active_support/callbacks.rb:414:in `_run__3912459823542471392__process_

action__1153861267127841747__callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.16) lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.16) lib/abstract_controller/callbacks.rb:17:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/rescue.rb:29:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'

activesupport (3.2.16) lib/active_support/notifications.rb:123:in `block in instrument'

activesupport (3.2.16) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

activesupport (3.2.16) lib/active_support/notifications.rb:123:in `instrument'

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:29:in `process_action'

actionpack (3.2.16) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

activerecord (3.2.16) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (3.2.16) lib/abstract_controller/base.rb:121:in `process'

actionpack (3.2.16) lib/abstract_controller/rendering.rb:45:in `process'

actionpack (3.2.16) lib/action_controller/metal.rb:203:in `dispatch'

actionpack (3.2.16) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

actionpack (3.2.16) lib/action_controller/metal.rb:246:in `block in action'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:in `call'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:36:in `call'

journey (1.0.4) lib/journey/router.rb:68:in `block in call'

journey (1.0.4) lib/journey/router.rb:56:in `each'

journey (1.0.4) lib/journey/router.rb:56:in `call'

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:608:in `call'

apipie-rails (0.0.24) lib/apipie/static_dispatcher.rb:65:in `call'

rack-openid (1.4.1) lib/rack/openid.rb:99:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.5) lib/rack/etag.rb:23:in `call'

rack (1.4.5) lib/rack/conditionalget.rb:35:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

actionpack (3.2.16) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

...

Related issues:

Related to Foreman - Bug #6399: No VM listing in the Compute Resource oVirt Closed 06/26/2014

History

#1 - 06/24/2014 01:38 PM - Joop van de Wege

I got the same error. I'm on foreman-1.5.1 and ovirt-3.4.1 both running upto date Centos-6.5

I also don't get a listing of VMs when clicking on Virtual Machines but no error in production.log while debug is turned on.

Anything I can do to test?

#2 - 06/26/2014 10:51 AM - Dominic Cleal

- Related to Bug #6399: No VM listing in the Compute Resource oVirt added

#3 - 09/26/2014 07:16 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - oVirt
#4 - 12/01/2019 08:09 AM - Shira Maximov

- Status changed from New to Resolved

closing this issue since it was resolved some time ago.
